# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2012 <Elio Esteves Duarte> <elio.esteves.duarte@gmail.com>
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

import locale
import os
from locale import gettext as _

import fcntl

locale.textdomain('tomate')

__name__ = 'tomate'
__license__ = 'GPL-3'
__author__ = 'Elio Esteves Duarte'
__author_email__ = 'elio.esteves.duarte@gmail.com'
__name__ = 'tomate'
__version_info__ = (0, 3, 1)
__version__ = '.'.join(map(str, __version_info__))
__url__ = 'https://launchpad.net/tomate'
__description__ = 'A Pomodoro timer build in Python/Gtk.'


def main():
    """Constructor for your class instances."""
    from gi.repository import Gtk

    fh = open('/tmp/tomate.pid', 'w')
    try:
        fcntl.lockf(fh, fcntl.LOCK_EX | fcntl.LOCK_NB)
    except IOError:
        print(_('Another instance of Tomate is already running!'))
        os._exit(0)
    else:
        from tomate.handler import Handler
        handler = Handler()
        handler.main()
        Gtk.main()
