# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2012 <Elio Esteves Duarte> <elio.esteves.duarte@gmail.com>
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

import tomate
from gi.repository import GdkPixbuf, Granite, Gtk
from tomate.helpers import get_media_file


class AboutDialog(object):

    _ICON = get_media_file('tomate-logo.png')

    def __init__(self, parent):
        self.about = Granite.WidgetsAboutDialog.new()
        self.about.set_transient_for(parent)
        logo = GdkPixbuf.Pixbuf.new_from_file(AboutDialog._ICON)
        self.about.set_logo(logo)
        authors = [tomate.__author__ + ' <' + tomate.__author_email__ + '>', ]
        self.about.set_property('authors', authors)
        self.about.set_copyright('2012, Elio Esteves Duarte')
        self.about.set_program_name(tomate.__name__.capitalize())
        self.about.set_version(tomate.__version__)
        self.about.set_license(tomate.__license__)
        self.about.set_license_type(Gtk.License.GPL_3_0)
        self.about.set_website(tomate.__url__)
        self.about.set_website_label('Tomate on Launchpad')
        self.about.set_comments(tomate.__description__)
        self.about.set_help('http://answers.launchpad.net/tomate')
        self.about.set_translate('http://translations.launchpad.net/tomate')
        self.about.set_bug('http://bugs.launchpad.net/tomate')
